from typing import Optional
from pydantic import BaseModel

from .landmarktype import LandmarkType



# Output to frontend
class Landmark(BaseModel) :
    name : str
    type: LandmarkType      # De facto mapping depending on how the query was executed with overpass. Should still EXACTLY correspond to the preferences
    location : tuple
    osm_type : str
    osm_id : int
    attractiveness : int
    must_do : bool
    n_tags : int
    time_to_reach : Optional[int] = 0


