from pydantic import BaseModel
from .landmarktype import LandmarkType

class Preference(BaseModel) :
    name: str
    type: LandmarkType  # should match the attributes of the Preferences class
    score: int          # score could be from 1 to 5

# Input for optimization
class Preferences(BaseModel) :
    # Sightseeing / History & Culture (Musées, bâtiments historiques, opéras, églises)
    sightseeing : Preference

    # Nature (parcs, jardins, rivières, plages)
    nature: Preference

    # Shopping (diriger plutôt vers des zones / rues commerçantes)
    shopping : Preference

"""    # Food (price low or high. Combien on veut dépenser pour manger à midi/soir)
    food_budget : Preference
    
    # Tolérance au détour (ce qui détermine (+ ou -) le chemin emprunté)
    detour_tol : Preference"""




